// pages/order/refundWrite/refundWrite.js
Page({

    /**
     * 页面的初始数据
     */
    data: {
        disabled: false,
        refundNo: ''
    },

    /**
     * 生命周期函数--监听页面加载
     */
    onLoad(options) {
        this.setData({
            refundNo: options.refund_no
        })
    },

    /**
     * 生命周期函数--监听页面初次渲染完成
     */
    onReady() {

    },

    /**
     * 生命周期函数--监听页面显示
     */
    onShow() {

    },

    /**
     * 提交表单
     */
    siteform(e) {
        let value = e.detail.value
        let data = {
            company      : value.company,
            number       : value.number
        }
        this.setData({
            disabled: true
        })
        wx.$api.order.refundDeliver(this.data.refundNo, data).then(() => {
            wx.showToast({
                title: '提交成功',
                icon : 'none'
            })
            setTimeout(()=>{
                wx.navigateTo({
                    url: '/pages/order/refund/refund',
                })
            },3000)
            
        }).catch(() =>{
            this.setData({
                disabled: false
            })
        })
    }
})